package com.sfeir.gwt.webding.client.showcase;

import java.util.HashMap;
import java.util.Map;

import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Widget;
import com.sfeir.gwt.webding.client.component.label.LabelTextBox;
import com.sfeir.gwt.webding.client.showcase.ShowcaseAnnotations.ShowcaseSource;


public class TabConfig extends LazyTab {

    /**
     * 
     */
    @Override
    @ShowcaseSource
    protected Widget createTab() {
        final FlowPanel panel = new FlowPanel();
        
        Map<String,Object> config = new HashMap<String,Object>() ;
        config.put("text","Champs Text");
        config.put("value","valeur");
        LabelTextBox field1 = new LabelTextBox(config);
        panel.add(field1);
        
        //Identique que :
        

        LabelTextBox field2 = new LabelTextBox(config);
        field2.setText("Champs Text");
        field2.setValue("valeur");
        panel.add(field2);
        
        return panel;
    }

    @Override
    public String getDescription() {
        return "Tous les composants sont configurables par des accesseurs ou par la méthode setConfig en lui passant une liste Configuration dont la clé est le nom de la propriétés et la valeur est la valeur à donner à cette propriété.";
    }

    @Override
    public String getName() {
        return "Configuration d'un composant";
    }

}