package com.sfeir.gwt.webding.client.showcase;

import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;
import com.sfeir.gwt.webding.client.component.label.LabelTextBox;
import com.sfeir.gwt.webding.client.component.label.base.LabelTextBoxBase;
import com.sfeir.gwt.webding.client.showcase.ShowcaseAnnotations.ShowcaseSource;


public class TabLabelTextBox extends LazyTab {
    /**
     * 
     */
    @ShowcaseSource
    protected Widget createTab() {
        VerticalPanel panel = new VerticalPanel();

        panel.add(new LabelTextBox("Champs 1"));

        panel.add(new LabelTextBox("Champs 2", true));

        LabelTextBox field3 = new LabelTextBox("Champs 3 avec erreur");
        field3.setError("Il y a Une erreur");
        panel.add(field3);

        LabelTextBox field4 = new LabelTextBox("Champs 4 avec des erreurs");
        field4.addError("erreur 1");
        field4.addError("erreur 2");
        panel.add(field4);

        LabelTextBox field5 = new LabelTextBox("Champs avec un label vraiment très long " +
        		"qui doit dépasser les 200 pixels par défaut");
        panel.add(field5);

        LabelTextBox field6 = new LabelTextBox("Champs avec un long label et une largeur");
        field6.setLabelWidth("300px");
        panel.add(field6);

        LabelTextBox field7 = new LabelTextBox("Champs avec une valeur");
        field7.setValue("valeur");
        panel.add(field7);

        LabelTextBoxBase.defaultLabelWidth = "350px";
        LabelTextBox field8 = new LabelTextBox("Changment de la taille du label par défaut");
        panel.add(field8);
        LabelTextBoxBase.defaultLabelWidth = "200px";

        return panel;
    }

    @Override
    public String getDescription() {
        return "Champs de saisies de type texte";
    }

    @Override
    public String getName() {
        return "Champs TextBox";
    }
}
