package com.sfeir.gwt.webding.client.showcase;

import com.google.gwt.user.client.ui.Widget;
import com.sfeir.gwt.webding.client.component.menu.Menu;
import com.sfeir.gwt.webding.client.showcase.ShowcaseAnnotations.ShowcaseSource;


public class TabSearchMenu extends LazyTab {
    /**
     * 
     */
    @ShowcaseSource
    protected Widget createTab() {
        Menu menu = new Menu(true, false);
        menu.setWidth("250px");
        menu.setHeight("500px");
        menu.setSearchBarEnabled(true);
        menu.setFullTextSearch(true);
        buildSampleMenu(menu);
        return menu;
    }

    @Override
    public String getDescription() {
        return "Menu avec un champs de recherche proposant une autocomplétion";
    }

    @Override
    public String getName() {
        return "Menu cherchable";
    }
}